%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

%define name         sensor-common
%define version      1.0.0
%define release      6

%define builddir     @RPM_BUILD_DIR@/build-%{name}-%{version}

%define default_user root

Name:           %{name}
Version:        %{version}
Release:        %{release}%{?dist}
Vendor:         EMI
License:        Apache License
URL:            http://grid-it.cnaf.infn.it
Source:         sensor-common-%{version}.tar.gz
Group:          System Environment/Shells
AutoReqProv:    yes
BuildArch:      noarch
BuildRoot:      %{_builddir}/var/tmp/%{name}-%{version}
Summary:        Provides the common files

%define _sysconfdir    /etc

BuildRequires: libtool
BuildRequires: automake
BuildRequires: autoconf
BuildRequires: python
BuildRequires: sensor-api

%define debug_package %{nil}

Requires: python
Requires: sensor-api

%description
This contains sensor-common package.

%prep
echo Building %{name}-%{version}

%setup -q -n %{name}-%{version}

%build
/bin/bash bootstrap
./configure --prefix=/usr --datadir=/usr/share --sysconfdir=/etc --bindir=/usr/bin --localstatedir=/var --exec_prefix=/usr 
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/%{_localstatedir}/log/monitoring

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{_localstatedir}/log/monitoring

%dir %{_sysconfdir}/storm/
%dir %{_sysconfdir}/storm/monitoring/
%dir %{_sysconfdir}/storm/monitoring/sensor-common/
%attr(644,%{default_user},%{default_user}) %{_sysconfdir}/storm/monitoring/sensor-common/services.ini

%dir %{python_sitearch}/storm/monitoring/sensor/common
%{python_sitearch}/storm/monitoring/sensor/common/file_compressor.py
%{python_sitearch}/storm/monitoring/sensor/common/file_compressor.pyc
%{python_sitearch}/storm/monitoring/sensor/common/file_compressor.pyo
%{python_sitearch}/storm/monitoring/sensor/common/file_publisher.py
%{python_sitearch}/storm/monitoring/sensor/common/file_publisher.pyc
%{python_sitearch}/storm/monitoring/sensor/common/file_publisher.pyo
%{python_sitearch}/storm/monitoring/sensor/common/__init__.py
%{python_sitearch}/storm/monitoring/sensor/common/__init__.pyc
%{python_sitearch}/storm/monitoring/sensor/common/__init__.pyo
%{python_sitearch}/storm/monitoring/sensor/common/configuration_parser.py
%{python_sitearch}/storm/monitoring/sensor/common/configuration_parser.pyc
%{python_sitearch}/storm/monitoring/sensor/common/configuration_parser.pyo
%{python_sitearch}/storm/monitoring/sensor/common/message.xsd
%{python_sitearch}/storm/monitoring/sensor/common/string_converter.py
%{python_sitearch}/storm/monitoring/sensor/common/string_converter.pyc
%{python_sitearch}/storm/monitoring/sensor/common/string_converter.pyo
%{python_sitearch}/storm/monitoring/sensor/common/usage.py
%{python_sitearch}/storm/monitoring/sensor/common/usage.pyc
%{python_sitearch}/storm/monitoring/sensor/common/usage.pyo
%{python_sitearch}/storm/monitoring/sensor/common/xml_converter.py
%{python_sitearch}/storm/monitoring/sensor/common/xml_converter.pyc
%{python_sitearch}/storm/monitoring/sensor/common/xml_converter.pyo

%dir %{_datadir}/doc/%{name}-%{version}
%doc %{_datadir}/doc/%{name}-%{version}/AUTHORS
%doc %{_datadir}/doc/%{name}-%{version}/LICENSE
%doc %{_datadir}/doc/%{name}-%{version}/INSTALL
%doc %{_datadir}/doc/%{name}-%{version}/README

%changelog
* Mon Oct 1 2012 Elisabetta Ronchieri <elisabetta.ronchieri@cnaf.infn.it> - %{version}
- added packaging
